<?php

if (file_exists('MutationMemberReport' . $_POST['time'] . '.pdf') ){
	unlink('MutationMemberReport' . $_POST['time'] . '.pdf');
}

//lokasi folder fpdf
require("fpdf.php");
require("../_init.php");
require("../_connect2.php");
require("../_funcstd.php");

class laporan extends FPDF{

	function Header(){
		global $title;
		global $subtitle;
		global $detail;
		global $font;
		$this->SetFont("$font",'B',12);
		$this->Cell(0,0,$title,0,0,'',false);
		$this->Ln(5);
		$this->SetFont("$font",'',9);
		$this->Cell(0,0,$subtitle,0,0,'',false);
		$this->Ln(3);
		$this->SetDrawColor(0,0,0);
		$this->SetFillColor(0,0,0);
		$this->SetTextColor(0,0,0);
		$this->Cell(0,0,'',1,0,'C');
		$this->Ln(3);
		$this->SetFont("times",'i',8);
		$this->Cell(0,0,$detail,0,0,'',false);
		$this->Cell(0,0,'Page '.$this->PageNo().' of {nb}',0,0,'R');
		$this->Ln(5);
		$this->SetFont("$font",'B',9);
		$this->SetDrawColor(0,0,0);
		$this->SetFillColor(255,255,255);
		$this->SetTextColor(0,0,0);
		$this->Cell(20,6,'Date',1,0,'C',true);
		$this->Cell(30,6,'Branch',1,0,'C',true);
		$this->Cell(50,6,'Description',1,0,'C',true);
		$this->Cell(15,6,'User',1,0,'C',true);
		$this->Cell(25,6,'Debit',1,0,'C',true);
		$this->Cell(25,6,'Credit',1,0,'C',true);
		$this->Cell(25,6,'Balance',1,0,'C',true);
		$this->Ln(7);
	}

	function namacabang($cabang){
		global $font;
		$this->SetFont("$font",'B',9);
		$this->SetDrawColor(0,0,0);
		$this->SetFillColor(255,255,255);
		$this->SetTextColor(0,0,0);
		$this->Cell(0,4,$cabang,0,0,'',true);
		$this->Ln(5);
	}

	function namapelanggan($pelanggan){
		$this->SetFont("Times",'I',10);
		$this->SetDrawColor(0,0,0);
		$this->SetFillColor(255,255,255);
		$this->SetTextColor(0,0,0);
		$this->Cell(0,4,$pelanggan,0,0,'',true);
		$this->Ln(5);
	}

	function Isi ($col1,$col2,$col3,$col4,$col5,$col6,$col7){
		global $font;
		$this->SetFont("$font",'',9);
		$this->SetDrawColor(0,0,0);
		$this->SetFillColor(255,255,255);
		$this->SetTextColor(0,0,0);
		$this->Cell(20,4,$col1,0,0,'C',true);
		$this->Cell(30,4,$col2,0,0,'',true);
		$this->Cell(50,4,$col3,0,0,'',true);
		$this->Cell(15,4,$col7,0,0,'',true);
		$this->Cell(25,4,$col4,0,0,'R',true);
		$this->Cell(25,4,$col5,0,0,'R',true);
		$this->Cell(25,4,$col6,0,0,'R',true);
		$this->Ln(5);
	}

	function subtotal ($sub1,$sub2,$sub3){
		global $font;
		$this->SetFont("$font",'B',9);
		$this->SetDrawColor(0,0,0);
		$this->SetFillColor(255,255,255);
		$this->SetTextColor(0,0,0);
		$this->Cell(115,5,'Subtotal',1,0,'C',true);
		$this->Cell(25,5,$sub1,1,0,'R',true);
		$this->Cell(25,5,$sub2,1,0,'R',true);
		$this->Cell(25,5,$sub3,1,0,'R',true);
		$this->Ln(6);
	}

	function total ($tot1,$tot2,$tot3){
		global $font;
		$this->SetFont("$font",'B',9);
		$this->SetDrawColor(0,0,0);
		$this->SetFillColor(255,255,255);
		$this->SetTextColor(0,0,0);
		$this->Cell(115,6,'Total',1,0,'C',true);
		$this->Cell(25,6,$tot1,1,0,'R',true);
		$this->Cell(25,6,$tot2,1,0,'R',true);
		$this->Cell(25,6,$tot3,1,0,'R',true);

		$this->Ln(5);
	}

	// Page footer
	function Footer(){
		$this->SetY(-15);
		$this->SetFont('Arial','I',8);
		$this->Cell(0,10,'Printed: '. date('D, d-m-Y H:i:s') .' Data Copied: '. date('D, d-m-Y H:i:s'). ' Prepared by '. $_SESSION['login_user'],0,0,'');
	}
	
}

//get parameter
$wherecond = "";
$wherecond2 = "";
if ( isset($_POST['bulanan']) ) {
	$tahun = isset($_POST['tahun']) ? $_POST['tahun'] : '';
	$bulan = isset($_POST['bulan']) ? $_POST['bulan'] : '';
	$charmonth = date('F', mktime(0, 0, 0, $bulan, 10));
	$detail = 'For Month :' . (isset($charmonth) ? $charmonth : '') .' '. (isset($tahun)? $tahun : '');
	$wherecond = "YEAR(tblmutasi.Input_DateTime) = '$tahun' AND MONTH(tblmutasi.Input_DateTime) = '$bulan'";
} else {
	$tanggal = JQueryDate2Date($_POST['tanggal']);
	$detail = 'For Date : ' . (isset($_POST['tanggal']) ? $_POST['tanggal'] : '');
	$wherecond = "tblmutasi.Input_DateTime BETWEEN '$tanggal' AND ('$tanggal'+INTERVAL 1 DAY)";
}

if ( $_POST['cabang'] != -1) {
	if ( $wherecond != "" ) {
		$wherecond .= ' AND ';
	}
	$wherecond .= "tblmutasi.KodeCabang = " . $_POST['cabang'] ." ";
}

$pelangid = isset($_POST['pelang']) ? $_POST['pelang'] : 0;
if ( $wherecond != "" ) {
	$wherecond = " AND " . $wherecond;
}
$wherecond = "WHERE tblmutasi.PelangID = $pelangid" . $wherecond;


//	die ("$pelangid $tahun $bulan");
// pdf setting
$pdf = new laporan();
$title = NAMA_PERUSAHAAN;
$subtitle = 'Mutation Member Report';
$pdf->SetTitle($subtitle);
$font = 'Helvetica';
// $font = 'Tahoma';
// $pdf->AddFont('Tahoma','','tahoma.php');
// $pdf->AddFont('Tahoma','B','tahomabd.php');

$pdf->AddPage('P','A4');
$pdf->AliasNbPages();
$pdf->SetTopMargin(20);
$pdf->SetLeftMargin(10);
$pdf->SetRightMargin(10);

//variable
$debet = array();
$kredit = array();
//get database
	$perintahdb = "SELECT Nama FROM tblpelang WHERE ID = $pelangid";
	$sqlquery = DBQuery( $perintahdb );
	while ( ( $sqlrow = @DBFetchAssoc( $sqlquery ) ) ) {
		$pdf->namacabang($sqlrow['Nama']);
	}

	//tambah saldo awal
	if ( isset($_POST['saldoawal']) ) {
		if ( isset($_POST['bulanan']) ) {
			$wherecond2 .= " tblmutasi.PelangID = $pelangid AND tblmutasi.Input_DateTime < '" . $tahun . '-' . $bulan . "-01 00:00:00'";
		} else {
			$wherecond2 .= " tblmutasi.PelangID = $pelangid AND tblmutasi.Input_DateTime < '$tanggal 00:00:00'";
		}
		if ( $_POST['cabang'] != -1) {
			if ( $wherecond2 != "" ) {
				$wherecond2 .= ' AND ';
			}
			$wherecond2 .= "tblmutasi.KodeCabang = " . $_POST['cabang'] . " ";
		}
		if ( $wherecond2 != "" ) {
			$wherecond2 = " AND " . $wherecond2;
		}
		$wherecond2 = "WHERE tblmutasi.PelangID = $pelangid" . $wherecond2;
		
		$perintahdb3 = "SELECT SUM(tblmutasi.Debet) AS SUMDebet, SUM(tblmutasi.Kredit) AS SUMKredit FROM tblmutasi $wherecond2";
		$sqlquery3 = DBQuery( $perintahdb3 );
		if ( ( $sqlrow3 = @DBFetchAssoc( $sqlquery3 ) ) ) {
			//salah muncul nya seharusnya per pelanggan saldo awal
			$sisasaldoawal = $sqlrow3['SUMDebet'] - $sqlrow3['SUMKredit'];
			$sisasaldo = (isset($sisasaldo) == 0 ? 0 : $sisasaldo) + $sqlrow3['SUMDebet'] - $sqlrow3['SUMKredit'];
			$pdf->Isi( '', '', 'Previous Balance Remaining', '', '', @ShowFormatDigitNumber($sisasaldo), '');
		}
	}

	$select = "SELECT tblmutasi.Input_DateTime AS Input_DateTime, tblmutasi.Debet AS Debet, tblmutasi.Kredit AS Kredit, tblmutasi.Catatan AS Catatan, (SELECT NamaCabang FROM tblcabang WHERE tblcabang.KodeCabang = tblmutasi.KodeCabang ) AS NamaCabang, IF( Debet > 0, 'Top Up', 'Deduct' ) as Catatan2, ( SELECT User FROM tbluser WHERE UserID = tblmutasi.Input_Oleh ) AS NamaInput ";
	$perintahdb = "$select FROM tblmutasi $wherecond";
	$sqlquery = DBQuery( $perintahdb );
	while ( ( $sqlrow = @DBFetchAssoc( $sqlquery ) ) ) {
		$sisasaldo = (isset($sisasaldo) == 0 ? 0 : $sisasaldo) + $sqlrow['Debet'] - $sqlrow['Kredit'];
		$pdf->Isi( @Date2JQueryDate($sqlrow['Input_DateTime']), $sqlrow['NamaCabang'], $sqlrow['Catatan2'] . ( ( $sqlrow['Catatan'] != '' ) ? ' - ' . $sqlrow['Catatan'] : '' ), @ShowFormatDigitNumber($sqlrow['Debet']), @ShowFormatDigitNumber($sqlrow['Kredit']), @ShowFormatDigitNumber($sisasaldo), $sqlrow['NamaInput']);
		$debet[] = $sqlrow['Debet'];
		$kredit[] = $sqlrow['Kredit'];
	}
	$subdebet = array_sum($debet);
	$subkredit = array_sum($kredit);
	$pdf->total(  @ShowFormatDigitNumber($subdebet), @ShowFormatDigitNumber($subkredit), @ShowFormatDigitNumber($subdebet-$subkredit+$sisasaldoawal));
	@DBQueryFree($sqlquery);

// $pdf->Output('Mutation Member Report ' . $detail .'.pdf','I');
$pdf->Output('MutationMemberReport' . $_POST['time'] .'.pdf','F');
?>